<?php
session_start();
		// Si no existeix la variable de sessio usuari desviem al inici i enviem un error
		if(!isset($_SESSION['usuari'])){
		$_SESSION['error']="error en les dades";
		header("Location:index.php");
		}

?> 
<!DOCTYPE html>
<html>
	<head>
		<title> Administracio prepagagament </title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<meta name="viewport" content="width=device-widht, initial-scale=1.0">
		<link rel="stylesheet" type="text/css" href="css/bootstrap.css">
		
	      <!-- LLibrería jQuery requerida pels plugins de JavaScript -->
    <script src="http://code.jquery.com/jquery.js"></script>
 

    <script src="js/bootstrap.min.js"></script>	
	
		<script type="text/javascript">
		$(document).ready(function(){
	      <!-- captuem el event click i validem el prepagament del usuari  -->
		$("button[name=prepagoOK]").click(function(){
		var id = $(this).attr("id");
		var numID = id.split(":");
		var idPrepago = numID[1];
		$.confirmarPrepago(idPrepago);
		});
	      <!-- captuem el event click i eliminem el usuari de la reserva  -->
		$("button[name=suprimir]").click(function(){
		var id = $(this).attr("id");
		var numID = id.split(":");
		var idSuprimir = numID[1];
		$.suprimirRegistre(idSuprimir);
		});

		
	
	 <!-- Funcio que conecta amb la base de dades per ajax i actualtza el camp de prepago a true  -->
	$.confirmarPrepago = function(dadaPrepago)
	{
		$.ajax("php/prepago.php", {
		"type": "post",   
		"success": function(result) {
		location.reload();
		$(".textCorrecte").text(result);
		},
		"error": function(result) {
		$(".textErrors").text(result);
		},
		"data": {idPrepago:dadaPrepago},
		"async": true,
		});

	};
	 <!-- Funcio que suprimeix una reserva de la base dades mitjançant l'acces per ajax  -->
	$.suprimirRegistre = function(idSuprimir)
	{
		$.ajax("php/suprimir.php", {
		"type": "post",   
		"success": function(result) {
		location.reload();
		$(".textCorrecte").text(result);
		},
		"error": function(result) {
		$(".textErrors").text(result);
		},
		"data": {idSuprimir:idSuprimir},
		"async": true,
		});

	};

});

</script>
	
	</head>
	<body>

	 <!-- FContenidor de totes les dades que surten a la pàgina  -->
	<div class="container">
	
	
		<!-- barra color part superior -->	
		<div class="row">
			<div class="fons_capm primeraColXs visible-xs"></div>
		</div>		
		<div class="row">
			<div class="fons_capm primeraColSm visible-sm"></div>
		</div>
		<div class="row">
			<div class="fons_capm primeraColMd visible-md"></div>
		</div>	
		<div class="row">
			<div class="fons_capm primeraColLg visible-lg"></div>
		</div>		
		

		
		
		<!-- capçelera mobil -->
		<div class="row">
			<div class="col-xs-12 visible-xs" id="cap_esqm">
					<a href="administracio.php"><img src="images/logo.png" width="146px" height="105px" alt="logotip"></a>
					</div>	
			<div class="col-xs-12 visible-xs" id="cap_detm">
				<div  class="logo_supm">	
				<a href="administracio.php"> <span class="glyphicon glyphicon glyphicon-home home_mobil"></span></a>
				</div>
					<p>El teu racó de festa</p>
			</div>
		</div>
		
		<!-- capçelera logo gran-->
		<div class="row">
		<div class="col-sm-12 col-md-12 col-lg-12 visible-sm visible-md visible-lg" id="logo_format_gran">
			<a href="administracio.php"><img src="images/logo.png" width="146px" height="105px" alt="logotip"></a>
			<p>El teu racó de festa</p>
		</div>
		
		<!-- capçelera menu sm-->		
		<div class="col-sm-12  visible-sm" id="menu_superior_tamany_sm">
			<span class="text_partsuperiormenu glyphicon glyphicon-cog"> ADMINISTRACIO</span>
			<ul class="nav nav-pills">
			<li> <a href="administracio.php" class="imatgeAdmin"> Inici </a> </li>
			<li> <a href="adminprepago.php" class="imatgePrepago"> Pagament </a> </li>
			<li> <a href="adminpreu.php" class="imatgePreus"> Preus </a> </li>
			<li> <a href="index.php" class="imatgeSortir"> Sortir </a> </li>
			</ul>
		</div>	

		<!-- capçelera menu md-->	
		<div class="col-md-12  visible-md" id="menu_superior_tamany_md">
			<span class="text_partsuperiormenu glyphicon glyphicon-cog"> ADMINISTRACIO</span>
			<ul class="nav nav-pills">
			<li> <a href="administracio.php" class="imatgeAdmin"> Inici </a> </li>
			<li> <a href="adminprepago.php" class="imatgePrepago"> Pagament </a> </li>
			<li> <a href="adminpreu.php" class="imatgePreus"> Preus </a> </li>
			<li> <a href="index.php" class="imatgeSortir"> Sortir </a> </li>
			</ul>
		</div>		
		
		<!-- capçelera menu lg-->	
		<div class="col-lg-12  visible-lg" id="menu_superior_tamany_lg">
			<span class="text_partsuperiormenu glyphicon glyphicon-cog"> ADMINISTRACIO</span>
			<ul class="nav nav-pills">
			<li> <a href="administracio.php" class="imatgeAdmin"> Inici </a> </li>
			<li> <a href="adminprepago.php" class="imatgePrepago"> Pagament </a> </li>
			<li> <a href="adminpreu.php" class="imatgePreus"> Preus </a> </li>
			<li> <a href="index.php" class="imatgeSortir"> Sortir </a> </li>
			</ul>
		</div>		
				
		</div>
	 <!-- Div que crea un espai entre el la capçelera i la resta d'elements de la web.  -->
		<div class="row" >
			<div class="primera_div_columna">
		</div>
		</div>
		
	 <!-- Menú de navegació per dispositius mobils en dintre de administració.  -->		
			<div class="col-xs-12 visible-xs">
			<div id="menuAdministracioMob">
			<ul class="nav nav-pills">
			<li> <a href="administracio.php" class="imatgeAdmin"> Inici </a> </li>
			<li> <a href="adminprepago.php" class="imatgePrepago"> Pagament </a> </li>
			<li> <a href="adminpreu.php" class="imatgePreus"> Preus </a> </li>
			<li> <a href="index.php" class="imatgeSortir"> Sortir </a> </li>
			</ul>
			</div>
			</div>
			
			
		<!-- Divs per mostrar missatges en la web.  -->		
		<div id="errors">
		<p class="textErrors"></p>
		</div>
		<div id="reservaCorrecte">
		<p class="textCorrecte"></p>
		</div>
		
	<?php

		// Conectem a la base de dades   
		include '/php/dadesConexio.inc.php';

		// Guardem la data actual del sistema
		$dataActual = date("Y/m/d");

		// Fem una consulta per verificar quines reserves tenim sense fer el prepagament
		$query = "SELECT id, nom, email, telefon, dia, torn, diaActual   FROM reserva WHERE prepago=false";
	
		$resultat = mysql_query($query) or die('Consulta fallida: ' . mysql_error()); 
		// Tanquem la conexió
		mysql_close($link);

		?>
	
	<!-- Creem una taula per mostrar les reserves que porten més de tres dies sense confirmar i amb els botons de prepago i suprimir  -->
	<div class="row">
	<div class="col-xs-12 col-sm-1 col-md-1 col-lg-1">
	</div>
	<div class="col-xs-12 col-sm-10 col-md-10 col-lg-10">
	<div class='panel panel-warning'>
	<div class='panel-heading'>Usuaris sense prepagament amb més de dos dies des de la reserva</div>
	<div class='table-responsive'>
	<table class='table table-hover textTable'>
	<tr>
		<td>Id</td>
		<td>Nom</td>
		<td>Email</td>
		<td>Telefon</td>
		<td>Dia Reserva</td>
		<td>Torn</td>
		<td>Confirmar</td>
		<td>Suprimir</td>
		</tr> 
	<?php
		while ($row = mysql_fetch_row($resultat)){ 
		$tornText = "";
		switch ($row[5]) {
        case 1:
        $tornText= "Matí";
        break;
        case 2:
        $tornText= "Tarda";
        break;
        case 3:
        $tornText= "Sencer";
        break;
		}
		$diaDeReserva = $row[6];
		
		// Convertim la dada de la data en format date de php
		$dataActualConv = strtotime($dataActual); 
		$diaDeReservaConv = strtotime($diaDeReserva);
		
		// Calculem la diferencia de dias entre la data actual i la data de la reserva
		$difDias= ($dataActualConv - $diaDeReservaConv)/86400;
		// Si la diferencia de dies entre la reserva i el dia actual es major que 2, el posem en la taula.
		if ($difDias >2){

		echo "<tr>
		<td>$row[0]</td>
		<td>$row[1]</td>
		<td>$row[2]</td>
		<td>$row[3]</td>
		<td>$row[4]</td>
		<td>$tornText</td>
		<td><button type='button' class='btn btn-success btn-xs' name='prepagoOK' id ='prepago:$row[0]'>Pago OK</button></td>
		<td><button type='button' class='btn btn-danger btn-xs' name='suprimir' id ='suprimir:$row[0]'>Suprimir</button></td>
		</tr>"; 
		} 

		
		}
	?>
		</table>
		</div> 
		</div>
		</div>
		<div class="col-xs-12 col-sm-1 col-md-1 col-lg-1">
		</div>
		</div>

		
	</div>

</body>
</html>