<?php
session_start();
?>
<!DOCTYPE html>
<html>
	<head>
		<title> Formulari </title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<meta name="description" content="Formulari per fer la reserva del local">
		<meta name="keywords" content="festa, nen, aniversari, diversió, local, sala, reserva, joguina">
		<meta name="viewport" content="width=device-widht, initial-scale=1.0">
		<link rel="stylesheet" type="text/css" href="css/bootstrap.css">
		
		<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
		<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>

	      <!-- Librería jQuery requerida pels plugins de JavaScript -->
		<script src="http://code.jquery.com/jquery.js"></script>
		<script src="js/bootstrap.min.js"></script>
		
<?php
// Carreguem si hi han dades introduides anteriorment pel usuari
include 'php/carregarDadesFormulari.php';
?>
		<!-- Funcions jquery de la pàgina -->
		<script type="text/javascript">
	$(document).ready(function(){

		<!-- carreguem les dades en cas de error en el textarea -->
		$("#inpuObservacions").text("<?php echo $observacionsEmplenat ?>");
		
			<!-- detectem quan canvia el select de torn i activem la funcio creaAlerta -->
			$("#inpuTorn").change(function(){
			$.crearAlerta();
			
		});
			<!-- detectem quan canvia la data del calendari i activem la funcio creaAlerta -->
			$("#dataReserva").change(function(){
			$.crearAlerta();
			
		});

	<!-- agafem el valor de les dades de data i torn i si estan els dos omplerts truquem via ajax per fer la consulta de si esta disponible i el preu -->
	$.crearAlerta = function(){
	var dataReserva = $('#dataReserva').val();
	var tornReserva = $('#inpuTorn').val();
	if (dataReserva != "" && tornReserva!= 0){
	
		$.actualizarAjax();
	}
	};
<!-- Funció que conenta amb la base de dades i verifica si hi ha dia disponible i el seu preu de reserva -->
	$.actualizarAjax = function()
	{
	var dataReserva = $('#dataReserva').val();
	var tornReserva = $('#inpuTorn').val();
	$.ajax("php/datosAjax.php", {
	"type": "post",   
	<!-- Si la consulta ha tingut exit imprimim el text de reserva disponible i el preu de la reserva -->
	"success": function(result) {
	var resultats = result.split(":"); 
	 $('#inpuEstatReserva').val(resultats[0]);
     $('#inpuPreu').val(resultats[1]);
	 $reservaok = $('#inpuEstatReserva').val();
	 <!-- canviem les classes dels imputs per crear una alerta visual del resultat depenent si es positiu o negatiu -->
	 if ($reservaok == "La reserva esta disponible"){
		$("#inputResultats").removeClass("has-error");
		$("#inputResultats").addClass("has-success");
	 } else {
		$("#inputResultats").removeClass("has-success");
		$("#inputResultats").addClass("has-error");
	 }
   },
  <!-- funció que imprimeix els errors detectats en la consulta -->
   "error": function(result) {
     console.error("Errors detectats", result);
   },
   "data": {dadesTorn:tornReserva, dadesReserva:dataReserva},
   "async": true,
	});
	};
	});
</script>





	</head>
	<body>
	
	<div class="container">
	
	
		<!-- barra color part superior -->	
		<div class="row">
			<div class="fons_capm primeraColXs visible-xs"></div>
		</div>		
		<div class="row">
			<div class="fons_capm primeraColSm visible-sm"></div>
		</div>
		<div class="row">
			<div class="fons_capm primeraColMd visible-md"></div>
		</div>	
		<div class="row">
			<div class="fons_capm primeraColLg visible-lg"></div>
		</div>		
		
		<!-- capçelera mobil -->
		<div class="row">
			<div class="col-xs-12 visible-xs" id="cap_esqm">
					<a href="index.php"><img src="images/logo.png" width="146px" height="105px" alt="logotip"></a>
					</div>	
			<div class="col-xs-12 visible-xs" id="cap_detm">
				<div  class="logo_supm">	
				<a href="index.php"> <span class="glyphicon glyphicon glyphicon-home home_mobil"></span></a>
				</div>
					<p>El teu racó de festa</p>
			</div>
		</div>
		
		<!-- capçelera logo gran-->
		<div class="row">
		<div class="col-sm-12 col-md-12 col-lg-12 visible-sm visible-md visible-lg" id="logo_format_gran">
			<a href="index.php"><img src="images/logo.png" width="146px" height="105px" alt="logotip"></a>
			<p>El teu racó de festa</p>
		</div>
		
		<!-- capçelera menu sm-->		
		<div class="col-sm-12  visible-sm" id="menu_superior_tamany_sm">
			<span class="text_partsuperiormenu  glyphicon glyphicon-tasks"> FORMULARI</span>
			<ul class="nav nav-pills">
			<li> <a href="serveis.php"  class="imatgeServeis"> Serveis </a> </li>
			<li> <a href="funcionament.php" class="imatgeFuncionament"> Funcionament </a> </li>
			<li> <a href="reserva.php" class="imatgeReserva"> Reserva </a> </li>
			<li> <a href="tarifes.php"  class="imatgeTarifes"> Tarifes </a> </li>
			<li> <a href="contacte.php"  class="imatgeContacte"> Contacte </a> </li>
			</ul>
		</div>	

		<!-- capçelera menu md-->	
		<div class="col-md-12  visible-md" id="menu_superior_tamany_md">
			<span class="text_partsuperiormenu  glyphicon glyphicon-tasks"> FORMULARI</span>
			<ul class="nav nav-pills">
			<li> <a href="serveis.php"  class="imatgeServeis"> Serveis </a> </li>
			<li> <a href="funcionament.php" class="imatgeFuncionament"> Funcionament </a> </li>
			<li> <a href="reserva.php" class="imatgeReserva"> Reserva </a> </li>
			<li> <a href="tarifes.php"  class="imatgeTarifes"> Tarifes </a> </li>
			<li> <a href="contacte.php"  class="imatgeContacte"> Contacte </a> </li>
			</ul>
		</div>		
		
		<!-- capçelera menu lg-->	
		<div class="col-lg-12  visible-lg" id="menu_superior_tamany_lg">
			<span class="text_partsuperiormenu  glyphicon glyphicon-tasks"> FORMULARI</span>
			<ul class="nav nav-pills">
			<li> <a href="serveis.php"  class="imatgeServeis"> Serveis </a> </li>
			<li> <a href="funcionament.php" class="imatgeFuncionament"> Funcionament </a> </li>
			<li> <a href="reserva.php" class="imatgeReserva"> Reserva </a> </li>
			<li> <a href="tarifes.php"  class="imatgeTarifes"> Tarifes </a> </li>
			<li> <a href="contacte.php"  class="imatgeContacte"> Contacte </a> </li>
			</ul>
		</div>		
		</div>		
			
		
		<!-- text principal-->
		
		<div class="row" >
			<div class="primera_div_columna">
		</div>
		</div>

		<div class="row">
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 centrat">
			<h1> <p class="titular_h1">FORMULARI DE RESERVA </p></h1>
			</div>
		</div>
		
		<div id="errors">
		<p class="textErrors"></p>
		</div>
		<div id="reservaCorrecte">
		<p class="textCorrecte"></p>
		</div>
		
<!-- Creem el formulari amb els diferents camps de text, numero, mail, data i un select pel camp de torn -->
		<form id="formulari" action="validacio.php" class="form-horizontal" role="form" method="post">
			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="inpuNom" class="col-sm-2 control-label">Nom*</label>
				<div class="col-sm-8">
				<input type="text" maxlength="30" class="form-control" id="inpuNom" name="nom" value="<?php echo $nomEmplenat ?>" placeholder="Nom" required>
			</div>
				<div class="col-sm-1">
				</div>
			</div>
			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="inpuCognoms" class="col-sm-2 control-label">Cognoms*</label>
				<div class="col-sm-8">
				<input type="text" maxlength="40" class="form-control" id="inpuCognoms" name="cognom" value="<?php echo $cognomEmplenat ?>" placeholder="Cognoms" required>
			</div>
				<div class="col-sm-1">
				</div>
			</div>
			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="inpuMail" class="col-sm-2 control-label">E-Mail*</label>
				<div class="col-sm-8">
				<input type="email" maxlength="50" class="form-control" id="inpuMail" name="mail" value="<?php echo $emailEmplenat ?>" placeholder="E-mail" required>
			</div>
				<div class="col-sm-1">
				</div>
			</div>	
			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="inpuTelefon" class="col-sm-2 control-label">Telèfon*</label>
				<div class="col-sm-8">
				<input type="number" class="form-control" id="inpuTelefon" name="telefon" value="<?php echo $telefonEmplenat ?>" placeholder="Telèfon" required>
			</div>
				<div class="col-sm-1">
				</div>
			</div>	
			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="inpuNomNen" class="col-sm-2 control-label">Nom nen*</label>
				<div class="col-sm-8">
				<input type="text" maxlength="30" class="form-control" id="inpuNomNen" name="nomNen" value="<?php echo $nomNenEmplenat ?>" placeholder="Nom del nen" required>
			</div>
				<div class="col-sm-1">
				</div>
			</div>
			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="inpuEdat" class="col-sm-2 control-label">Edat*</label>
				<div class="col-sm-3">
				<input type="number" class="form-control" id="inpuEdat" name="edat" value="<?php echo $edatEmplenat ?>" placeholder="Edat" required>
			</div>
				<label for="inpuNumNens" class="col-sm-2 control-label">Numero de Nens*</label>
				<div class="col-sm-3">
				<input type="number" class="form-control" id="inpuNumNens" name="numNens" value="<?php echo $numNensEmplenat ?>" placeholder="Numero de nens" required>
			</div>
				<div class="col-sm-1">
				</div>
			</div>	
			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="dataReserva" class="col-sm-2 control-label">Data de la reserva*</label>
				<div class="col-sm-3">
				<input  type="text" class="form-control" id="dataReserva" name="dataReserva"  value="<?php echo $diaSeleccionat ?>" placeholder="aaaa/mm/dd" required>
			</div>
				<label for="inpuTorn" class="col-sm-2 control-label">Torn de la reserva*</label>
				<div class="col-sm-3">
				<select class="form-control" id="inpuTorn"  name="torn" required>
				<option value="">Seleccioni un torn</option>
				<option value="1">Matí</option>
				<option value="2">Tarda</option>
				<option value="3">Sencer</option>
				</select>
			</div>
				<div class="col-sm-1">
				</div>
			</div>

			<div class="form-group" id="inputResultats">
				<div class="col-sm-1">
				</div>
				<label for="inpuEstatReserva" class="col-sm-2 control-label">Reserva disponible</label>
				<div class="col-sm-3">
				<input disabled type="text" class="form-control" id="inpuEstatReserva" name ="inpuEstatReserva" placeholder="">
			</div>
				<label for="inpuPreu" class="col-sm-2 control-label">Preu de la reserva</label>
				<div class="col-sm-3">
				<input disabled type="text" class="form-control" id="inpuPreu" placeholder="">
			</div>
				<div class="col-sm-1">
				</div>
			</div>

			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="inpuObservacions" class="col-sm-2 control-label">Observacions</label>
				<div class="col-sm-8">
				<textarea  maxlength="350" rows="7" class="form-control" id="inpuObservacions"  name="observacions" placeholder="Observacions" ></textarea>
			</div>
				<div class="col-sm-1">
				</div>
			</div>
			
		<div class="form-group">
				<div class="col-sm-3">
				</div>
			<div class="col-sm-9">
			<button type="submit" class="btn btn-default">Envia</button>
			</div>
		</div>

	</form>
		

		
		
		<!-- marge amb el peu-->	
		<div class="row">
		<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12  marge-peu">
			</div>
		</div>
		
		<!-- peu pàgina format gran-->
		<div class="row">
			<div class="col-sm-12 col-md-12 col-lg-12 visible-sm visible-md visible-lg peu_pagran">
			
			<p class="par_centgran"><span class="enllacPeu"><a  data-toggle="modal" href="#modalAvis">Avís legal</a> </span>
			<span class="enllacPeu"><a data-toggle="modal" href="#myModal">Administració</a></span></p>
			
			</div>
		</div>
		
		<!-- peu pàgina format petit-->
		<div class="row">
			<div class="col-xs-12 visible-xs peu_pagm">
			<p class="par_centm"><span class="enllacPeu"><a  data-toggle="modal" href="#modalAvis">Avís legal</a> </span>
			<span class="enllacPeu"><a data-toggle="modal" href="#myModal">Administració</a></span></p>
			</div>
		</div>
	<?php
	

	
	// Detectem si hi han variables de sessio amb missatges de reserva realitzada o error, els imprimim en pantalla i destruim la sessio
	if (isset($_SESSION['reservaOK'])) {
	?>
	
	<!-- Mostrem el div en cas de que la reserva sigui correcte -->
	<script language="javascript">
		$("#reservaCorrecte").show();
		$(".textCorrecte").text("Reserva realitzada correctament!");
		</script>
		<?php 
		session_destroy();
		} else {
		?>
		<script language="javascript">
		<!-- Amaguem el div de missatge de reserva correcte -->
		$("#reservaCorrecte").hide();
		</script>
	
		<?php

		}
	
	// Guardem una variable per detectar si hi ha un error i imprimir-la en pantalla
	$errorsEnFormularis = "";
	if (isset($_SESSION['reservaOcupada'])) {
	$errorsEnFormularis = "La reserva ja esta ocupada";
	session_destroy();
	}
	if (isset($_SESSION['errorFormulari'])) {
	$errorsEnFormularis = $_SESSION['errorFormulari'];
	session_destroy();
	}
	if (isset($_SESSION['error'])) {
	$errorsEnFormularis = $_SESSION['error'];
	session_destroy();
	}
	if ($errorsEnFormularis != ""){
	?>
	<!-- Mostrem el div amb el missatge d'error -->
	<script language="javascript">
	$("#errors").show();
	$(".textErrors").text("<?php echo $errorsEnFormularis ?>");
	</script>
	<?php 
	}else {
	?>
	<script language="javascript">
	<!-- Amaguem el div de missatge d'error -->
	$("#errors").show();
	</script>
	
	<?php

	}

?>



	
<!-- Obrim una finestra modal per verificar usuari i password per accedir a la pàgina d'administració -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">Administració</h4>
      </div>
      <div class="modal-body">  
	<form id="formAdministracio" action="administracio.php" class="form-horizontal" role="form" method="post">
			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="inpuUsuari" class="col-sm-2 control-label">Usuari</label>
				<div class="col-sm-8">
				<input type="text" maxlength="30" class="form-control" id="inpuUsuari" name="inpuUsuari" placeholder="Usuari" required>
			</div>
				<div class="col-sm-1">
				</div>
			</div>
			<div class="form-group">
				<div class="col-sm-1">
				</div>
				<label for="inpuPass" class="col-sm-2 control-label">Password</label>
				<div class="col-sm-8">
				<input type="password" maxlength="30" class="form-control" id="inpuPass" name="inpuPass" placeholder="Password" required>
			</div>
				<div class="col-sm-1">
				</div>
			</div>	
		<div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Tancar</button>
        <button type="submit" class="btn btn-primary">Entrar</button>
      </div>
	</form>
      </div>
    </div>
  </div>
</div>

<!-- Obrim una finestra modalper mostrar dades de l'avis legal -->
<div class="modal fade" id="modalAvis" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">Avís legal</h4>
      </div>
      <div class="modal-body">  
	<p>L'usuari o visitant d'aquesta pàgina té l'obligació de llegir les condicions de prestació del servei que es detallen en aquest text, de manera que assumeixen aquestes com vàlides en la prestació del servei. </p>
	Condicions d'ús del contingut i serveis prestats en aquesta pàgina web: 
	<ol>
	<li> No està permesa la reproducció dels continguts (de qualsevol tipus) publicats sense el consentiment exprés de l'autor d'aquesta web (textos, gràfics, codi font, ...) </li>
	<li>Hi ha continguts de tercers. En qualsevol dels casos, i com és intenció sempre respectar els drets d'autor i les lleis del copyright, si hi hagués qualsevol mínim problema respecte a qualsevol material publicat en aquesta web, es prega que es posin en contacte a  amb l'administrador de la web i el contingut serà retirat el més ràpid possible, normalment consultem el correu diverses vegades al dia. La nostra intenció és respectar els drets d'autor i el treball aliè en tot moment. </li>
	<li>L'autor d'aquesta web no es fa responsable del mal ús que es faci del contingut exposat en aquesta pàgina web</li> 
	<li>L'autor de la pàgina web no es fa responsable del mal servei o problemes sorgits pels serveis anunciats, de manera que la publicitat i els serveis posteriors que aquesta remeti són responsabilitat única de l'anunciant. </li>
	<li>En aquesta pàgina web NO existeixen continguts il·legals
	</ol>
	  <div class="linkModal">
	  Crèdits imatge de fons: 
	  <a href="https://www.flickr.com/photos/segfault/12700994333/">SegFault</a> / <a href="http://foter.com">Foter</a> / <a href="http://creativecommons.org/licenses/by/2.0/">CC BY</a>
	  </div>
      </div>
    </div>
  </div>
</div>




</div>
</body>
</html>