
<?php

// Comprovem si estan creades les variables de sessio de la data, i si no les creem amb la data actual
 $dia = isset($_GET['dia'])?$_GET['dia']:date("d");
 $mes = isset($_GET['mes'])?$_GET['mes']:date("m");
 $ano = isset($_GET['ano'])?$_GET['ano']:date("Y");
 
 

// funció per treure el numero de la setmanta
function DiaSemana($dia,$mes,$ano){ 
  $numerodiasemana = date('w', mktime(0,0,0,$mes,$dia,$ano)); 
  if($numerodiasemana == 0){ $numerodiasemana = 6; } else { $numerodiasemana--; } 
  return $numerodiasemana; 
}  

//Treiem el numero de mes en format de text
function NombreMes($mes){ 
  switch ($mes){ 
   case 1:  $nombre = "Gener";  break; 
   case 2:  $nombre = "Febrer";  break; 
   case 3:  $nombre = "Març";  break; 
   case 4:  $nombre = "Abril";  break; 
   case 5:  $nombre = "Maig";  break; 
   case 6:  $nombre = "Juny";  break; 
   case 7:  $nombre = "Juliol";  break; 
   case 8:  $nombre = "Agost";  break; 
   case 9:  $nombre = "setembre";  break; 
   case 10: $nombre = "Octubre";  break; 
   case 11: $nombre = "Novembre";  break; 
   case 12: $nombre = "Desembre";  break; 
  } 
  return $nombre; 
}  
// Funció per treure quants dies té el mes actiu
function ultimoDia($mes,$ano){ 
  $ultimo_dia=28; 
  while (checkdate($mes,$ultimo_dia + 1,$ano)){ $ultimo_dia++; } 
  return $ultimo_dia; 
}  

// Conectem a la base de dades   
include 'php/dadesConexio.inc.php';

// Modifiquem la dada del mes per poder consultar en la base de dades
$mesModificat = $mes;
if ($mesModificat <10){
	$mesModificat= "0" . $mesModificat;
}
// Guardem una variable amb el text a consultar per veure quines reserves tenim en un mes concret
$dataConsulta = $ano . "-" . $mesModificat;

// Declarem els dos arrays on guardarem l'informació del colors i dies detectats en el mes actual del calendari.
 $diesEnCalendari = array();
 $colorsDia = array();
 $colorsHex = array();
 // Declarem una variable per controlar el numero d'elements incorporats al array
 $contador = 0;


	// Fem una consulta veure cuantes reserves tenim en el mes actual de calendari
	$query = "SELECT dia, torn  FROM reserva WHERE dia LIKE '$dataConsulta%' ORDER BY dia";
	$resultat = mysql_query($query) or die('Consulta fallida: ' . mysql_error());
	while($row = mysql_fetch_assoc($resultat)){
	// Si es la primera data trobada en el calendari introduim les dades en els arrays de dies de calendari i color del dia
	if ($contador == 0){
	$diesEnCalendari[$contador]= date('j', strtotime($row['dia']));
	$colorsDia[$contador]= $row['torn'];
	$contador++;
	} else {
	// Si tenim els dos torns en el mateix dia el posem com a torn sencer
	if ($diesEnCalendari[$contador-1] == date('j', strtotime($row['dia']))){
		$colorsDia[$contador-1] = 3;
	} else {
	$diesEnCalendari[$contador]= date('j', strtotime($row['dia']));
	$colorsDia[$contador]= $row['torn'];
	$contador++;
	}	
	}
	}
	// omplim el array dels colors en format hexagesimal
	$tamany = count($diesEnCalendari);
		for ($x=0;$x<$tamany; $x++){
		switch ($colorsDia[$x]){
			case 1:  $colorsHex[$x] = "#FFB57A"; break;
			case 2:  $colorsHex[$x] = "#DEFF00"; break;
			case 3:  $colorsHex[$x] = "#FF7100"; break;
		}
	}

# Calendari de mesos 
function Calendar($mes,$ano){ 

	// Declarem les variables globals que volem utilitzar dintre de la funció
	global $tamany;
	global $diesEnCalendari;
	global $colorsHex;

	// Treiem el nom del mes en format de text
	$nombremes = NombreMes($mes); 
	// Calculem el numero de mes depenent del mes actual en el calendari
	$mes_anterior = $mes - 1; 
	$ano_anterior = $ano; 
	if ($mes_anterior == 0){ 
	$ano_anterior--; 
	$mes_anterior = 12; 
	} 
	$mes_siguiente = $mes + 1; 
	$ano_siguiente = $ano; 
	if ($mes_siguiente==13){ 
	$ano_siguiente++; 
	$mes_siguiente=1; 
	} 
  
  
	// Creeem una taula per ficar les dades del mes 
	echo "<table id='tableCalendari' align='center' class='table-bordered table-responsive>"; 
	echo "<tr  class='aCalendari' ><td id='mesCalendari' colspan='7' class='aCalendari' align='center'>";
	echo "<a href='reserva.php?mes=".($mes_anterior)."&ano=".($ano_anterior)."'><span class='glyphicon glyphicon-chevron-left'></span> </a> ";
	echo $nombremes." ".$ano;
	echo " <a href='reserva.php?mes=".($mes_siguiente)."&ano=".($ano_siguiente)."'><span class='glyphicon glyphicon-chevron-right'></span> </a></td></tr>"; 
	echo "<tr>"; 
	echo "<td class='capCalendari'>Dl</td>"; 
	echo "<td class='capCalendari'>Dt</td>"; 
	echo "<td class='capCalendari'>Dc</td>"; 
	echo "<td class='capCalendari'>Dj</td>"; 
	echo "<td class='capCalendari'>Dv</td>"; 
	echo "<td class='capCalendari'>Ds</td>"; 
	echo "<td class='capCalendari'>Dg</td>"; 
	echo "</tr>"; 
	// Calculem el dia actual i el ultim dia del mes que tenim actiu
	$dia_actual = 1; 
	$numero_dia = DiaSemana(1,$mes,$ano); 
	$ultimo_dia = ultimoDia($mes,$ano); 
	$diaact = date("d"); 
	$mesact = date("m"); 
	$anoact = date("Y"); 
	echo "<tr>"; 
	for($i=0;$i<7;$i++){ 
	$bgcolor=  "#FFFFFF";
   if($i < $numero_dia){ 
    echo "<td class='calendar' bgcolor='#FFFFFF'>&nbsp;</td>"; 
   }else{ 
   	// Fem un bucle per posar el color de fons depenent de si esta el dia ocupat o no
	for ($j = 0; $j < $tamany; $j++){
		if ($dia_actual == $diesEnCalendari[$j]){
			$bgcolor=  $colorsHex[$j];	
				break;
			} else {
			$bgcolor=  "#FFFFFF";
			}
		}
    echo "<td align='center' class='aCalendari' bgcolor='".$bgcolor."'>
	<a class='linkCalendari' href='formulari.php?dia=$dia_actual&mes=$mes&ano=$ano'><span class='info' title='Mostrar contenido de ".($dia_actual."-".$mes."-".$ano)."'>".$dia_actual."</span></a></td>"; 
    $dia_actual++; 
   } 
  } 
  echo "</tr>"; 
  $numero_dia = 0; 
  while($dia_actual <= $ultimo_dia){ 
	// Fem un bucle per posar el color de fons depenent de si esta el dia ocupat o no
	for ($i = 0; $i < $tamany; $i++){
		if ($dia_actual == $diesEnCalendari[$i]){
			$bgcolor=  $colorsHex[$i];	
				break;
			} else {
			$bgcolor=  "#FFFFFF";
			}
	
		}
   if ($numero_dia == 0) 
    echo "<tr>"; 
    echo "<td class='aCalendari' align='center' bgcolor='".$bgcolor."'>
	<a class='linkCalendari' href='formulari.php?dia=$dia_actual&mes=$mes&ano=$ano'>".$dia_actual."</a></td>"; 
    $dia_actual++; 
    $numero_dia++; 
    if ($numero_dia == 7){ 
     $numero_dia = 0; 
     echo "</tr>"; 
    } 
   } 
  for ($i=$numero_dia;$i<7;$i++){ 
   echo "<td class='aCalendari' bgcolor='#FFFFFF'>&nbsp;</td>"; 
  } 
  echo "</tr>"; 
  echo "</table>"; 

}  
 // Cridem a les funcions principals per crear el calendari
 DiaSemana($dia,$mes,$ano); 
 NombreMes($mes);
 ultimoDia($mes,$ano);
 Calendar($mes,$ano);

?>

